POST
/bases/rows/deleteDelete a row from a base
Deletes a row from a base. Supply the base's page ID and row ID to identify the row to remove.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
The base and row to delete.
pageIdstringrequired
Id of the base. A base *is* a page, so this is the base's page id - the same id you would pass to the page endpoints.
rowIdstringrequired
The UUID of the row to delete.
200Returns the response payload confirming that the row was deleted.
dataunknownoptional
Response payload
statusintegeroptional
successbooleanoptional
403Returned when access is forbidden or bases are not included in the current licence.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
404Returned when the base or row is not found.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when access is forbidden or bases are not included in the current licence. A 404 is returned when the base or row is not found. pageId and rowId must be UUIDs identifying the base and row.